| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Gaudi::InterfaceId< INTERFACE, majVers, minVers > Struct Template Referencefinal

Class to handle automatically the versioning of the interfaces when they are inheriting from other interfaces. More...

`#include <GaudiKernel/IInterface.h>`

## Public Types
using | interface_type = INTERFACE
| interface type More...
using | iids = typename Gaudi::interface_list_append< typename interface_type::ext_iids, InterfaceId >::type
| List of interfaces. More...

## Static Public Member Functions
static std::string | name ()
static constexpr unsigned long | majorVersion ()
static constexpr unsigned long | minorVersion ()
static const std::type_info & | TypeInfo ()
static const InterfaceID & | interfaceID ()

## Detailed Description

### template<typename INTERFACE, unsigned long majVers, unsigned long minVers>
struct Gaudi::InterfaceId< INTERFACE, majVers, minVers >

Class to handle automatically the versioning of the interfaces when they are inheriting from other interfaces.

Author
  Marco Clemencic

Definition at line 222 of file IInterface.h.

## Member Typedef Documentation

template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

using Gaudi::InterfaceId< INTERFACE, majVers, minVers >::iids = typename Gaudi::interface_list_append<typename interface_type::ext_iids, InterfaceId>::type

List of interfaces.

Definition at line 226 of file IInterface.h.

template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

using Gaudi::InterfaceId< INTERFACE, majVers, minVers >::interface_type = INTERFACE

interface type

Definition at line 224 of file IInterface.h.

## Member Function Documentation

template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

static const InterfaceID& Gaudi::InterfaceId< INTERFACE, majVers, minVers >::interfaceID | ( |  | ) |
| inline static

Definition at line 234 of file IInterface.h.

235 {
236 static const InterfaceID s_iid( name().c_str(), majVers, minVers );
237 return s_iid;
238 }
InterfaceID
Interface ID class.
Definition: IInterface.h:29
Gaudi::InterfaceId::name
static std::string name()
Definition: IInterface.h:228
template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

static constexpr unsigned long Gaudi::InterfaceId< INTERFACE, majVers, minVers >::majorVersion | ( |  | ) |
| inline static

Definition at line 229 of file IInterface.h.

229 { return majVers; }
template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

static constexpr unsigned long Gaudi::InterfaceId< INTERFACE, majVers, minVers >::minorVersion | ( |  | ) |
| inline static

Definition at line 230 of file IInterface.h.

230 { return minVers; }
template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

static std::string Gaudi::InterfaceId< INTERFACE, majVers, minVers >::name | ( |  | ) |
| inline static

Definition at line 228 of file IInterface.h.

228 { return System::typeinfoName( typeid( INTERFACE ) ); }
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:329
template<typename INTERFACE , unsigned long majVers, unsigned long minVers>

static const std::type_info& Gaudi::InterfaceId< INTERFACE, majVers, minVers >::TypeInfo | ( |  | ) |
| inline static

Definition at line 232 of file IInterface.h.

232 { return typeid( typename iids::type ); }
gaudirun.type
type
Definition: gaudirun.py:133

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/IInterface.h